<br>
<div class="container">
  <div class="card">
    <div class="card-header">
      <h3 class="text-center"><b>Formulario de Subpartidas</b></h3>
    </div>
      <div class="card-body justify-content-center">
        <form class="mt-3 col-md-10 offset-md-3" (ngSubmit)="onSave()" [formGroup]="subpartidaForm">
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Subpartida </label>
              <input type="text" formControlName="nombre" class="form-control" placeholder="Nombre de subpartida" [class]="isValidField('nombre')">
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Descripción de subpartida </label>
              <textarea formControlName="descripcion" class="form-control" placeholder="Descripción de subpartida" [class]="isValidField('descripcion')"></textarea>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Asignar partida principal </label>
              <select class="form-control form-select" formControlName="partida_id" [class]="isValidField('partida_id')">
                <option *ngFor="let item of $partidas | async" [ngValue]="item.nombre">{{item.nombre}}</option>
              </select>
            </div>
          </div>
          <div class="d-grid gap-2 col-8 mx-auto">
            <button class="btn btn-success btn-md-8">Guardar datos</button>
          </div>
        </form>
        <div class="row">
          <button type="button" class="btn btn-primary mt-2" (click)="onGoBackToList()">Regresar a listado de subpartidas</button>
        </div>
      </div>
  </div>
</div>
